Update Team roles

Update Organization and Workspace roles for a Team.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to which the Team belongs.
teamIdstringRequired
The ID of the Team to update roles for.

Request

The request body for updating the Team's roles
organizationRolestringRequired
The Team's Organization roles.
dagRoleslist of objectsOptional
The Team's updated DAG roles.
deploymentRoleslist of objectsOptional
The user's updated Deployment roles. The Deployments you specify must belong to the Team's Organization.
workspaceRoleslist of objectsOptional
The Team's updated Workspace roles. The Workspaces you specify must belong to the Team's Organization.

Response

OK
dagRoleslist of objects
A list of the subject's DAG roles.
deploymentRoleslist of objects
A list of the subject's Deployment roles. Currently only for API tokens.
organizationRolestring
The subject's Organization role.
workspaceRoleslist of objects
A list of the subject's Workspace roles.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error